/* -*- c++ -*- */
#ifndef TUTORIAL6_H__
#define TUTORIAL6_H__

struct menu {
  std::string breakfast_;
  std::string lunch_;
  std::string dinner_;
};


namespace xiso {
  template<>
  struct leaf<menu> : public aka::sequence<menu> {
    void model() {
      member("breadfast", &menu::breakfast_);
      member("lunch", &menu::lunch_);
      member("dinner", &menu::dinner_);
    }
  };
}

inline void instantiate_xiso() {
  aka::doctype("menu", xiso::leaf<menu>());
}

#endif
